sailpoint.object

## Interface Rule

All Superinterfaces:
  PersistentXmlObject, java.io.Serializable, XMLReferenceTarget

    public interface Rule
    extends PersistentXmlObject, java.io.Serializable, XMLReferenceTarget

### Nested Class Summary

Nested Classes
`static class` `Rule.RuleTypeComparator`
`static class` `Rule.Type` Rules may be typed if they are intended for use in certain parts of the system proper use of types is necessary for the rule to appear in selection menus in the UI.

### Field Summary

Fields
`static java.lang.String` `MODEL_BASE_PATH`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addReferencedRule(Rule rule)`
`int` `compareTo(java.lang.Object o)`
`boolean` `contentEquals(Rule other)`
`boolean` `equals(java.lang.Object obj)`
`Attributes<java.lang.String,java.lang.Object>` `getAttributes()`
`java.lang.Object` `getAttributeValue(java.lang.String name)`
`java.lang.String` `getLanguage()`
`java.util.List<Rule>` `getReferencedRules()`
`java.security.Signature` `getSignature()`
`java.lang.String` `getSource()`
`Rule.Type` `getType()`
`int` `hashCode()`
`boolean` `isContentEquivalent(Rule other)`
`void` `load()`
`void` `setAttribute(java.lang.String name, java.lang.Object value)`
`void` `setAttributes(Attributes<java.lang.String,java.lang.Object> config)`
`void` `setLanguage(java.lang.String language)`
`void` `setReferencedRules(java.util.List<Rule> referencedRules)`
`void` `setSignature(java.security.Signature s)`
`void` `setSource(java.lang.String source)`
`void` `setType(Rule.Type type)`
`void` `visit(sun.reflect.generics.visitor.Visitor v)`

### Methods inherited from interface sailpoint.tools.xml.PersistentXmlObject

`getOriginalXml, setOriginalXml`

### Methods inherited from interface sailpoint.tools.xml.XMLReferenceTarget

`getReferenceClass, getReferenceId, getReferenceName`

### Field Detail

#### MODEL_BASE_PATH

    static final java.lang.String MODEL_BASE_PATH

See Also:
  Constant Field Values

### Method Detail

#### contentEquals

    boolean contentEquals(Rule other)

#### getLanguage

    java.lang.String getLanguage()

#### setLanguage

    void setLanguage(java.lang.String language)

#### getSource

    java.lang.String getSource()

#### setSource

    void setSource(java.lang.String source)

#### getType

    Rule.Type getType()

#### setType

    void setType(Rule.Type type)

#### getReferencedRules

    java.util.List<Rule> getReferencedRules()

#### setReferencedRules

    void setReferencedRules(java.util.List<Rule> referencedRules)

#### addReferencedRule

    void addReferencedRule(Rule rule)

#### getSignature

    java.security.Signature getSignature()

#### setSignature

    void setSignature(java.security.Signature s)

#### load

    void load()

#### compareTo

    int compareTo(java.lang.Object o)

#### visit

    void visit(sun.reflect.generics.visitor.Visitor v)
        throws GeneralException

Throws:
  `GeneralException`

#### hashCode

    int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### getAttributes

    Attributes<java.lang.String,java.lang.Object> getAttributes()

#### setAttributes

    void setAttributes(Attributes<java.lang.String,java.lang.Object> config)

#### setAttribute

    void setAttribute(java.lang.String name,
                      java.lang.Object value)

#### getAttributeValue

    java.lang.Object getAttributeValue(java.lang.String name)

#### equals

    boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### isContentEquivalent

    boolean isContentEquivalent(Rule other)